Skip to main content
POST
/
v1
/
wallets
Create wallet
curl --request POST \
  --url https://api.clearbox.example.com/v1/wallets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identity_id": "idn_8f2a",
  "chain": "polygon"
}
'
{
  "wallet_id": "wlt_5c1d",
  "wallet_address": "0xA1b2C3d4",
  "chain": "polygon",
  "balance": {
    "currency": "USDC",
    "amount": "0.00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clear-box.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ClearBox API key. Use cb_sandbox_... in the sandbox and cb_live_... in production.

Body

application/json
identity_id
string
required
chain
enum<string>
default:polygon
Available options:
polygon,
ethereum,
solana,
tron

Response

Wallet created.

wallet_id
string
Example:

"wlt_5c1d"

wallet_address
string
Example:

"0xA1b2C3d4"

chain
string
Example:

"polygon"

balance
object